View Issue Details

IDProjectCategoryView StatusLast Update
0001654Industrial-Craft²machinespublic2015-08-04 17:38
ReporterinucuneAssigned ToAroma1997 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.7.10 
Summary0001654: Crash when regulator directly inputs water into steam generator
Descriptionforge: 1.7.10-10.13.4.1490-1.7.10

IC2:.754 (discovered in .752, still remains)

if a regulator is configured to output water into a steam generator, the game crashes. attached is a log

This corrupts the world aswell
Steps To ReproducePlace steam generator
place regulator facing steam generator
add power source to regulator
put 1 bucket of water in the regulator
instruct regulator to inject water.

cause global thermonuclear detonation (Crash)
Additional InformationAttached is a log of the crash and the world-load crash.
TagsCrash, Fluid, Regulator
Minecraft Version

Relationships

has duplicate 0001675 resolvedAroma1997 NPE Cooling 5x5 Reactor via Fluid Regulator 
has duplicate 0001673 resolvedAroma1997 Fluid Distributor + Fluid Regulator = Crash 

Activities

inucune

2015-07-21 07:38

reporter  

crash-2015-07-21_02.33.49-server.txt (6,117 bytes)
---- Minecraft Crash Report ----
// Hey, that tickles! Hehehe!

Time: 7/21/15 2:33 AM
Description: Ticking block entity

java.lang.NullPointerException: Ticking block entity
	at ic2.core.block.machine.tileentity.TileEntitySteamGenerator.fill(TileEntitySteamGenerator.java:268)
	at ic2.core.block.machine.tileentity.TileEntityFluidRegulator.work(TileEntityFluidRegulator.java:111)
	at ic2.core.block.machine.tileentity.TileEntityFluidRegulator.func_145845_h(TileEntityFluidRegulator.java:98)
	at net.minecraft.world.World.func_72939_s(World.java:1939)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:489)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:636)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:547)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:111)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:427)
	at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
	at ic2.core.block.machine.tileentity.TileEntitySteamGenerator.fill(TileEntitySteamGenerator.java:268)
	at ic2.core.block.machine.tileentity.TileEntityFluidRegulator.work(TileEntityFluidRegulator.java:111)
	at ic2.core.block.machine.tileentity.TileEntityFluidRegulator.func_145845_h(TileEntityFluidRegulator.java:98)

-- Block entity being ticked --
Details:
	Name: Fluid Regulator // ic2.core.block.machine.tileentity.TileEntityFluidRegulator
	Block type: ID #233 (blockMachine2 // ic2.core.block.machine.BlockMachine2)
	Block data value: 14 / 0xE / 0b1110
	Block location: World: (182,56,-543), Chunk: (at 6,3,1 in 11,-34; contains blocks 176,0,-544 to 191,255,-529), Region: (0,-2; contains chunks 0,-64 to 31,-33, blocks 0,0,-1024 to 511,255,-513)
	Actual block type: ID #233 (blockMachine2 // ic2.core.block.machine.BlockMachine2)
	Actual block data value: 14 / 0xE / 0b1110
Stacktrace:
	at net.minecraft.world.World.func_72939_s(World.java:1939)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:489)

-- Affected level --
Details:
	Level name: New World2
	All players: 1 total; [EntityPlayerMP['inucune'/10, l='New World2', x=180.12, y=56.00, z=-543.89]]
	Chunk stats: ServerChunkCache: 465 Drop: 0
	Level seed: 5240770683394420048
	Level generator: ID 01 - flat, ver 0. Features enabled: false
	Level generator options: 2;7,3x1,52x24;2;
	Level spawn location: World: (178,4,-545), Chunk: (at 2,0,15 in 11,-35; contains blocks 176,0,-560 to 191,255,-545), Region: (0,-2; contains chunks 0,-64 to 31,-33, blocks 0,0,-1024 to 511,255,-513)
	Level time: 1759 game time, 1759 day time
	Level dimension: 0
	Level storage version: 0x04ABD - Anvil
	Level weather: Rain time: 170095 (now: false), thunder time: 156099 (now: false)
	Level game mode: Game mode: creative (ID 1). Hardcore: false. Cheats: true
Stacktrace:
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:636)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:547)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:111)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:427)
	at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685)

-- System Details --
Details:
	Minecraft Version: 1.7.10
	Operating System: Windows 7 (amd64) version 6.1
	Java Version: 1.8.0_25, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 655825368 bytes (625 MB) / 1060372480 bytes (1011 MB) up to 1060372480 bytes (1011 MB)
	JVM Flags: 8 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx2G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M -Xmx1g -Xms1g
	AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	FML: MCP v9.05 FML v7.10.99.99 Minecraft Forge 10.13.4.1490 16 mods loaded, 16 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	mcp{9.05} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{7.10.99.99} [Forge Mod Loader] (forge-1.7.10-10.13.4.1490-1.7.10.jar) 
	UCHIJAAAA	Forge{10.13.4.1490} [Minecraft Forge] (forge-1.7.10-10.13.4.1490-1.7.10.jar) 
	UCHIJAAAA	CodeChickenCore{1.0.7.46} [CodeChicken Core] (minecraft.jar) 
	UCHIJAAAA	NotEnoughItems{1.0.5.111} [Not Enough Items] (NotEnoughItems-1.7.10-1.0.5.111-universal.jar) 
	UCHIJAAAA	BuildCraft|Core{7.0.16} [BuildCraft] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Factory{7.0.16} [BC Factory] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Silicon{7.0.16} [BC Silicon] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Energy{7.0.16} [BC Energy] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Builders{7.0.16} [BC Builders] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Transport{7.0.16} [BC Transport] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Robotics{7.0.16} [BC Robotics] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	IC2{2.2.754-experimental} [IndustrialCraft 2] (industrialcraft-2-2.2.754-experimental.jar) 
	UCHIJAAAA	Forestry{3.6.2.19} [Forestry for Minecraft] (forestry_1.7.10-3.6.2.19.jar) 
	UCHIJAAAA	IC2NuclearControl{2.2.5a-GoingForTheKill} [Nuclear Control 2] (IC2NuclearControl-2.2.5a-GoingForTheKill.jar) 
	UCHIJAAAA	Railcraft{9.6.1.0} [Railcraft] (Railcraft_1.7.10-9.6.1.0.jar) 
	GL info: ~~ERROR~~ RuntimeException: No OpenGL context found in the current thread.
	Profiler Position: N/A (disabled)
	Vec3 Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	Player Count: 1 / 8; [EntityPlayerMP['inucune'/10, l='New World2', x=180.12, y=56.00, z=-543.89]]
	Type: Integrated Server (map_client.txt)
	Is Modded: Definitely; Client brand changed to 'fml,forge'

inucune

2015-07-21 07:39

reporter  

crash-2015-07-21_02.25.10-client.txt (5,368 bytes)
---- Minecraft Crash Report ----
// My bad.

Time: 7/21/15 2:25 AM
Description: Updating screen events

io.netty.channel.ChannelException: connection refused
	at io.netty.channel.local.LocalChannel$LocalUnsafe.connect(LocalChannel.java:361)
	at io.netty.channel.DefaultChannelPipeline$HeadHandler.connect(DefaultChannelPipeline.java:1008)
	at io.netty.channel.DefaultChannelHandlerContext.invokeConnect(DefaultChannelHandlerContext.java:494)
	at io.netty.channel.DefaultChannelHandlerContext.connect(DefaultChannelHandlerContext.java:479)
	at io.netty.channel.DefaultChannelHandlerContext.connect(DefaultChannelHandlerContext.java:464)
	at io.netty.channel.DefaultChannelPipeline.connect(DefaultChannelPipeline.java:847)
	at io.netty.channel.AbstractChannel.connect(AbstractChannel.java:198)
	at io.netty.bootstrap.Bootstrap$2.run(Bootstrap.java:165)
	at io.netty.util.concurrent.SingleThreadEventExecutor.runAllTasks(SingleThreadEventExecutor.java:354)
	at io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:348)
	at io.netty.util.concurrent.SingleThreadEventExecutor$2.run(SingleThreadEventExecutor.java:101)
	at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
	at io.netty.channel.local.LocalChannel$LocalUnsafe.connect(LocalChannel.java:361)
	at io.netty.channel.DefaultChannelPipeline$HeadHandler.connect(DefaultChannelPipeline.java:1008)

-- Affected screen --
Details:
	Screen name: net.minecraft.client.gui.GuiMainMenu
Stacktrace:
	at net.minecraft.client.Minecraft.func_71407_l(Minecraft.java:1645)
	at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:973)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:898)
	at net.minecraft.client.main.Main.main(SourceFile:148)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
	Minecraft Version: 1.7.10
	Operating System: Windows 7 (amd64) version 6.1
	Java Version: 1.8.0_25, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 743908832 bytes (709 MB) / 1060372480 bytes (1011 MB) up to 1060372480 bytes (1011 MB)
	JVM Flags: 8 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx2G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M -Xmx1g -Xms1g
	AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	FML: MCP v9.05 FML v7.10.99.99 Minecraft Forge 10.13.4.1490 16 mods loaded, 16 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	mcp{9.05} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{7.10.99.99} [Forge Mod Loader] (forge-1.7.10-10.13.4.1490-1.7.10.jar) 
	UCHIJAAAA	Forge{10.13.4.1490} [Minecraft Forge] (forge-1.7.10-10.13.4.1490-1.7.10.jar) 
	UCHIJAAAA	CodeChickenCore{1.0.7.46} [CodeChicken Core] (minecraft.jar) 
	UCHIJAAAA	NotEnoughItems{1.0.5.111} [Not Enough Items] (NotEnoughItems-1.7.10-1.0.5.111-universal.jar) 
	UCHIJAAAA	BuildCraft|Core{7.0.16} [BuildCraft] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Factory{7.0.16} [BC Factory] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Silicon{7.0.16} [BC Silicon] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Energy{7.0.16} [BC Energy] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Builders{7.0.16} [BC Builders] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Transport{7.0.16} [BC Transport] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	BuildCraft|Robotics{7.0.16} [BC Robotics] (buildcraft-7.0.16.jar) 
	UCHIJAAAA	IC2{2.2.752-experimental} [IndustrialCraft 2] (industrialcraft-2-2.2.752-experimental.jar) 
	UCHIJAAAA	Forestry{3.6.2.19} [Forestry for Minecraft] (forestry_1.7.10-3.6.2.19.jar) 
	UCHIJAAAA	IC2NuclearControl{2.2.5a-GoingForTheKill} [Nuclear Control 2] (IC2NuclearControl-2.2.5a-GoingForTheKill.jar) 
	UCHIJAAAA	Railcraft{9.6.1.0} [Railcraft] (Railcraft_1.7.10-9.6.1.0.jar) 
	GL info: ' Vendor: 'Intel' Version: '3.1.0 - Build 9.17.10.4229' Renderer: 'Intel(R) HD Graphics 3000'
	Launched Version: 1.7.10-Forge10.13.4.1490-1.7.10
	LWJGL: 2.9.1
	OpenGL: Intel(R) HD Graphics 3000 GL version 3.1.0 - Build 9.17.10.4229, Intel
	GL Caps: Using GL 1.3 multitexturing.
Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
Anisotropic filtering is supported and maximum anisotropy is 16.
Shaders are available because OpenGL 2.1 is supported.

	Is Modded: Definitely; Client brand changed to 'fml,forge'
	Type: Client (map_client.txt)
	Resource Packs: []
	Current Language: English (US)
	Profiler Position: N/A (disabled)
	Vec3 Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	Anisotropic Filtering: Off (1)

Syncaidius

2015-08-03 19:14

reporter   ~0004056

Last edited: 2015-08-03 19:15

View 2 revisions

I can confirm this happens. Easily reproducible.

The world loads fine in MP, but the server will crash as soon as anyone joins. So the world is possibly not corrupted.

Jar version: industrialcraft-2-2.2.757-experimental

Chocohead

2015-08-03 21:52

developer   ~0004057

The fluid regulator is unstable outputting into things with tanks it seems. Trying to output to a 5x5 reactor does the same thing. Temp fix is to backdate to 751.

Chocohead

2015-08-03 21:54

developer   ~0004058

Related to 0001675 and 0001673

Zeracronius

2015-08-04 15:26

reporter   ~0004061

I get this problem too, would be great if this got fixed soon, it is a problem that makes it impossible to play with newest version in any world that has a regulator causing it.

Issue History

Date Modified Username Field Change
2015-07-21 07:38 inucune New Issue
2015-07-21 07:38 inucune File Added: crash-2015-07-21_02.33.49-server.txt
2015-07-21 07:39 inucune File Added: crash-2015-07-21_02.25.10-client.txt
2015-08-03 19:14 Syncaidius Note Added: 0004056
2015-08-03 19:15 Syncaidius Note Edited: 0004056 View Revisions
2015-08-03 21:52 Chocohead Note Added: 0004057
2015-08-03 21:54 Chocohead Note Added: 0004058
2015-08-04 15:26 Zeracronius Note Added: 0004061
2015-08-04 17:15 Zeracronius Tag Attached: Crash
2015-08-04 17:15 Zeracronius Tag Attached: Fluid
2015-08-04 17:15 Zeracronius Tag Attached: Regulator
2015-08-04 17:22 Aroma1997 Relationship added has duplicate 0001675
2015-08-04 17:22 Aroma1997 Relationship added has duplicate 0001673
2015-08-04 17:38 Aroma1997 Status new => resolved
2015-08-04 17:38 Aroma1997 Fixed in Version => Builds for MC 1.7.10
2015-08-04 17:38 Aroma1997 Resolution open => fixed
2015-08-04 17:38 Aroma1997 Assigned To => Aroma1997